from    mako.template      import Template
from    config             import globalvar

class main:

    def __init__(self):
        pass

    def html(self, params):
        title       = "CostaPy"

        user_roles  = ["guest"] # A roles that user have
        active_page = "Sample"  # Current active page name
        
        copyright   = "Copyright (C) 2022 Dita Aji Pratama"
        greeting    = "A prime dashboard based on bootstrap 5"
        
        return Template(params["mako"]["website"]['index']).render(
            title     = title,
            navbar    = Template(params["mako"]["website"]['navbar']).render(
                title       = title,
                home        = "/",
                menu        = globalvar.menu['public']['navbar'],
                user_roles  = user_roles,
                active_page = active_page
            ),
            components = {
                "before" : [],
                "after" : []
            },
            footer    = Template(params["mako"]["website"]['footer']).render(
                copyright   = copyright,
            ),
            container = Template(params["mako"]["website"]['container']).render(
                greeting    = greeting
            )
        )
